<template>
    <div id="registrations">
        <h1>Registrations page</h1>
       total {{total}}
        <hr>
        <div class="row" v-for="(registration,id) in registrations" :key="id">
            <h4>{{registration.name}}</h4>
            <span>{{registration.date|date}}</span>
            <button @click="unregister(registration)">Unregister</button>
        </div>
    </div>
</template>

<script>
    export default {
        props:['registrations'],
        methods:{
            unregister(user){
                this.$emit('unregister',user)
            }
        },
        computed:{
            total(){
                return this.registrations.length
            }
        }
        
    }
</script>

<style scoped>
#registrations {
        box-shadow: 1px 1px 2px 1px #ccc;
        margin: 20px;
        padding: 20px;
        display: inline-block;
        width: 300px;
        vertical-align: top;
        text-align: left;
    }

    .summary {
        text-align: center;
    }

    .row h4 {
        display: inline-block;
        width: 30%;
        margin: 0 0 10px 0;
        box-sizing: border-box;
    }

    .row span {
        width: 30%;
        color: red;
        cursor: pointer;
    }

    .row span:hover {
        color: darkred;
    }

    .date {
        display: inline-block;
        width: 38%;
        text-align: right;
        box-sizing: border-box;
    }

</style>